<?php
# 后台配置
return array
(
    # 设置系统
    'system' => array
    (
        'sector' => array
        (
            'name' => '领域系统',
            'sort' => '1',
            'partition' => 'database.database',
            'info_table' => 'sector/info',
            'user_table' => 'sector/user',
            'role_table' => 'sector/role',
        ),
    ),

    # 设置模块
    'module' => array
    (
        # 领域系统下有三个模块，领域基础模块、领域账户模块、领域空间模块
        'sector' => array
        (
            'system' => 'sector',
            'name' => '领域',
            'sort' => '1',
            'data_table' => 'sector/info',
        ),

        'sector_user' => array
        (
            'system' => 'sector',
            'name' => '账户',
            'sort' => '2',
            'data_table' => 'sector/user',
            'data_where' => array('id' => '{uid}'),
        ),

        'sector_place' => array
        (
            'system' => 'sector',
            'name' => '身份',
            'sort' => '3',
            'data_table' => 'place/info',
            'data_where' => array('uid' => '{uid}'),
        ),
    ),

    # 父级菜单
    'menu' => array
    (
        # 领域身份模块下的菜单
        'sector_place_order' => array
        (
            'name' => '订单',
            'icon' => 'shopping-cart-2-line',
            'sort' => '98',
            'module' => 'sector_place',
            'app' => 'place_order',
        ),
        'sector_place_source' => array
        (
            'name' => '资源',
            'icon' => 'settings-line',
            'sort' => '100',
            'module' => 'sector_place',
            'app' => 'place_source',
        ),
        'sector_place_channel' => array
        (
            'name' => '渠道',
            'icon' => 'album-line',
            'sort' => '101',
            'module' => 'sector_place',
            'app' => 'place_channel',
        ),
        'sector_place_set' => array
        (
            'name' => '配置',
            'icon' => 'settings-2-line',
            'sort' => '114',
            'module' => 'sector_place',
            'app' => 'place',
        ),
    )
);