<?php
return array
(
    'name' => '资源支付订单表',
    'partition' => 'Dever::call("manage/common.system")',
    'struct' => array
    (
        'source_id' => array
        (
            'name'      => '资源ID',
            'type'      => 'int(11)',
        ),

        'address_id' => array
        (
            'name'      => '地址ID',
            'type'      => 'int(11)',
        ),

        'uid'       => array
        (
            'type'      => 'int(11)',
            'name'      => '用户',
        ),

        'name'      => array
        (
            'type'      => 'varchar(80)',
            'name'      => '订单名称',
        ),

        'order_num'        => array
        (
            'type'      => 'varchar(60)',
            'name'      => '订单号',
        ),

        'cash'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '订单金额',
        ),

        'num'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '订单数量',
        ),

        'info'      => array
        (
            'type'      => 'varchar(80)',
            'name'      => '订单备注',
        ),

        'type'        => array
        (
            'type'      => 'tinyint(1)',
            'name'      => '订单类型',
            'default'   => '1',
            'value'         => array
            (
                1 => '源代宝订单',
                2 => '第三方订单',
            ),
        ),

        'refund_status'        => array
        (
            'type'      => 'tinyint(1)',
            'name'      => '退款申请状态',
            'default'   => '2',
            'value'         => array
            (
                1 => '退款申请中',
                2 => '无退款申请',
            ),
        ),

        'status'        => array
        (
            'type'      => 'tinyint(1)',
            'name'      => '订单状态',
            'default'   => '1',
            'value'         => array
            (
                1 => '待支付',
                2 => '待发货',
                3 => '已发货',
                4 => '待收货',
                5 => '已完成',
                6 => '已完成（有退款）',
                7 => '已取消',
                8 => '已退款',
                9 => '已过期',
            ),
        ),

        'pdate'       => array
        (
            'type'      => 'int(11)',
            'name'      => '付款时间',
        ),

        'ddate'       => array
        (
            'type'      => 'int(11)',
            'name'      => '发货时间',
        ),

        'qdate'       => array
        (
            'type'      => 'int(11)',
            'name'      => '签收时间',
        ),

        'fdate'       => array
        (
            'type'      => 'int(11)',
            'name'      => '完成时间',
        ),
    ),

    'index' => array
    (
        'search' => 'uid',
    ),
);
