<?php
return array
(
    'name' => '用户积分记录表',
    'partition' => 'Dever::call("manage/common.system")',
    //'store' => 'log',
    'struct' => array
    (
        'uid'       => array
        (
            'type'      => 'int(11)',
            'name'      => '用户',
        ),
        'info_id'        => array
        (
            'name'      => '积分',
            'type'      => 'int(11)',
            'value'     => 'score/info',
        ),
        'action_id'       => array
        (
            'type'      => 'int(11)',
            'name'      => '用户行为',
            'value'     => 'score/action',
        ),
        'action_log_id'       => array
        (
            'type'      => 'int(11)',
            'name'      => '行为日志',
        ),
        'user_log_id'       => array
        (
            'type'      => 'int(11)',
            'name'      => '用户日志id',
        ),
        'mode' => array
        (
            'name'      => '模式',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '直接',
                2 => '间接',
            ),
        ),
        'name' => array
        (
            'name'      => '日志标题',
            'type'      => 'varchar(200)',
        ),
        'num'        => array
        (
            'name'      => '积分数额',
            'type'      => 'decimal(11,2)',
        ),

        'balance'        => array
        (
            'name'      => '积分余额',
            'type'      => 'decimal(11,2)',
        ),
    ),

    'index' => array
    (
        'search' => 'uid,info_id,action_id',
    ),
);