<?php
return array
(
    'name' => '资源表',
    'partition' => 'Dever::call("manage/common.system")',
    'order' => 'sort asc',
    'struct' => array
    (
        'name' => array
        (
            'name'      => '名称',
            'type'      => 'varchar(32)',
        ),

        'cate' => array
        (
            'name'      => '分类',
            'type'      => 'varchar(50)',
        ),

        'channel_id' => array
        (
            'name'      => '渠道',
            'type'      => 'int(11)',
        ),

        'cate_parent_id' => array
        (
            'name'      => '父级分类',
            'type'      => 'int(11)',
        ),

        'cate_child_id' => array
        (
            'name'      => '子分类',
            'type'      => 'int(11)',
        ),

        'info' => array
        (
            'name'      => '简介',
            'type'      => 'varchar(800)',
        ),

        'type' => array
        (
            'name'      => '类型',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '实物发货',
                2 => '虚拟发货',
                3 => '无需发货',
            ),
        ),

        'pic' => array
        (
            'name'      => '主图',
            'type'      => 'varchar(2000)',
        ),

        'sort' => array
        (
            'name'      => '排序序号',
            'type'      => 'int(11)',
            'default'   => '1',
        ),

        'content'       => array
        (
            'name'      => '描述',
            'type'      => 'varchar(8000)',
        ),

        'spec_type' => array
        (
            'name'      => '规格类型',
            'type'      => 'tinyint(1)',
            'default'   => 2,
            'value'     => array
            (
                //1 => '免费',
                2 => '单规格',
                3 => '多规格',
            ),
        ),

        'num_collet' => array
        (
            'name'      => '收藏数量',
            'type'      => 'int(11)',
            'default'   => '0',
        ),

        'num_review' => array
        (
            'name'      => '评价数量',
            'type'      => 'int(11)',
            'default'   => '0',
        ),
        
        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '上架',
                2 => '下架',
            ),
        ),
    ),

    'index' => array
    (
        'search' => 'channel_id,cate_parent_id,cate_child_id',
    ),
);