<?php
return array
(
    'name' => '资源库存表',
    'partition' => 'Dever::call("manage/common.system")',
    'struct' => array
    (
        'info' => array
        (
            'name'      => '资源',
            'type'      => 'varchar(100)',
        ),

        'info_id' => array
        (
            'name'      => '资源ID',
            'type'      => 'int(11)',
        ),

        'sku_id'        => array
        (
            'type'      => 'int(11)',
            'name'      => '价格ID',
        ),

        'total'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '总库存',
        ),

        'sell'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '售出数',
        ),

        'out'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '出库数',
        ),
    ),
    'index' => array
    (
        'search' => 'info_id,sku_id',
    ),
);
