<?php
return array
(
    'name' => '身份用户表',
    'partition' => 'Dever::call("manage/common.system")',
    'struct' => array
    (
        'name' => array
        (
            'name'      => '用户名称',
            'type'      => 'varchar(32)',
        ),
        'mobile' => array
        (
            'name'      => '手机号',
            'type'      => 'bigint(11)',
        ),
        'password' => array
        (
            'name'      => '密码',
            'type'      => 'varchar(64)',
        ),
        'salt' => array
        (
            'name'      => '密码salt',
            'type'      => 'varchar(32)',
        ),
        'parent_uid' => array
        (
            'name'      => '上级',
            'type'      => 'int(11)',
            'default'   => -1,
        ),
        'avatar' => array
        (
            'name'      => '头像',
            'type'      => 'varchar(150)',
        ),
        'entry_type' => array
        (
            'name'      => '访问类型',
            'type'      => 'tinyint(1)',
            'default'   => -1,
            'value'     => array
            (
                -1 => '未进入',
                1 => '公开',
                2 => '注册',
                3 => '邀请',
                4 => '密码',
                5 => '购买',
            ),
        ),
        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '正常',
                2 => '封禁',
            ),
        ),
    ),
    'index' => array
    (
        'mobile' => 'mobile.unique',
    ),
);