<?php
return array
(
    'name' => '资源支付订单明细表',
    'partition' => 'Dever::call("manage/common.system")',
    'struct' => array
    (
        'source_id' => array
        (
            'name'      => '资源ID',
            'type'      => 'int(11)',
        ),

        'sku_id'        => array
        (
            'type'      => 'int(11)',
            'name'      => '价格ID',
        ),

        'order_id'       => array
        (
            'type'      => 'int(11)',
            'name'      => '订单ID',
        ),

        'name'      => array
        (
            'type'      => 'varchar(80)',
            'name'      => '名称',
        ),

        'pic' => array
        (
            'name'      => '图片',
            'type'      => 'varchar(150)',
        ),

        'sku_name'      => array
        (
            'type'      => 'varchar(200)',
            'name'      => '价格的规格名称',
        ),

        'cash'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '明细金额',
        ),

        'num'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '明细数量',
        ),

        'status'        => array
        (
            'type'      => 'tinyint(1)',
            'name'      => '明细状态',
            'default'   => '1',
            'value'         => array
            (
                1 => '正常',
                2 => '部分退款',
                3 => '已全部退款',
            ),
        ),
    ),
);
