<?php
return array
(
    'name' => '用户积分规则设置表',
    'partition' => 'Dever::call("manage/common.system")',
    'struct' => array
    (
        'info_id'        => array
        (
            'name'      => '积分名称',
            'type'      => 'int(11)',
            'value'     => 'score/info',
        ),

        'action_id'        => array
        (
            'name'      => '用户行为',
            'type'      => 'int(11)',
            'value'     => 'score/action',
        ),

        'num'        => array
        (
            'name'      => '积分数',
            'type'      => 'varchar(80)',
        ),

        'upper' => array
        (
            'name'      => '上限限制',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '无上限',
                2 => '有上限',
            ),
        ),

        'upper_type' => array
        (
            'name'      => '上限限制类型',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '按自然天-每天0点重置',
                2 => '按小时',
                3 => '永久',
            ),
        ),

        'upper_time'        => array
        (
            'type'      => 'int(11)',
            'name'      => '间隔小时数',
            'default'   => '12',
        ),

        'upper_limit'       => array
        (
            'type'      => 'int(11)',
            'name'      => '上限限制次数',
            'default'   => '2',
        ),

        'rebate'      => array
        (
            'type'      => 'tinyint(1)',
            'name'      => '返利设置',
            'default'   => '1',
            'value'     => array
            (
                1 => '无返利',
                2 => '百分比',
                3 => '数值',
            ),
        ),

        'rebate_info_id'      => array
        (
            'type'      => 'int(11)',
            'name'      => '返利积分名称',
            'value'     => 'score/info',
        ),
        
        'rebate_value'     => array
        (
            'type'      => 'varchar(500)',
            'name'      => '返利积分数',
            'desc'      => '如果是百分比类型，这里如果填的是10，那就是当前获得积分数的10%。直接填写数字就是当前用户的上级(1级)返利，支持多层层级设置，1:20,2:30 就是1级20、2级30，同时也支持0级',
        ),
    ),
);