<?php
return array
(
    'name' => '用户积分数据表',
    'partition' => 'Dever::call("manage/common.system")',
    'struct' => array
    (
        'uid'       => array
        (
            'type'      => 'int(11)',
            'name'      => '用户',
        ),

        'info_id'        => array
        (
            'name'      => '积分',
            'type'      => 'int(11)',
            'value'     => 'place_score/info',
        ),

        'total'        => array
        (
            'name'      => '收入数量',
            'type'      => 'decimal(11,2)',
        ),

        'used'        => array
        (
            'name'      => '支出数量',
            'type'      => 'decimal(11,2)',
        ),

        'balance'        => array
        (
            'name'      => '剩余数量',
            'type'      => 'decimal(11,2)',
        ),

        'udate'        => array
        (
            'name'      => '更新时间',
            'type'      => 'int(11)',
            'default'   => '0',
        ),

        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '正常',
                2 => '封禁',
            ),
        ),
    ),
    'index' => array
    (
        'search' => 'uid,info_id',
    ),
);