<?php
return array
(
    'name' => '资源内容表',
    'partition' => 'Dever::call("manage/common.system")',
    'struct' => array
    (
        'info_id' => array
        (
            'name'      => '资源',
            'type'      => 'int(11)',
        ),

        'sku_id'        => array
        (
            'type'      => 'int(11)',
            'name'      => '规格',
            'default'   => '-1',
        ),

        'cate_id' => array
        (
            'name'      => '分类',
            'type'      => 'int(11)',
            'default'   => '-1',
        ),

        'num'        => array
        (
            'type'      => 'varchar(11)',
            'name'      => '消耗次数',
            'default'   => '1',
        ),

        'name' => array
        (
            'name'      => '标题',
            'type'      => 'varchar(32)',
        ),

        'type' => array
        (
            'name'      => '类型',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '图文',
                2 => '图片',
                3 => '视频',
                4 => '音频',
                5 => '文件',
                6 => '链接',
            ),
        ),

        'value'       => array
        (
            'name'      => '内容',
            'type'      => 'varchar(8000)',
        ),

        'sort' => array
        (
            'name'      => '排序',
            'type'      => 'int(11)',
            'default'   => '1',
        ),

        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '展示',
                2 => '不展示',
            ),
        ),
    ),
);